function setup()
	actor.displayName = "Beam Network"
	actor.setIcon("iconmobnode.png")
	for i = 1, (2 + math.ceil(room.level/2)) do
		actor.addWave("node", 1, room.wave)
	end
	actor.behavior = "node"
end